This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 466622 - Compiz does not handle utility windows correctly
Compiz does not handle utility windows correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-11 11:16 EDT by William Witt
Modified: 2009-12-18 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:33:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Witt 2008-10-11 11:16:22 EDT
Description of problem:
When Desktop effects are on, new utility windows in GIMP 2.6 are not rendered correctly.  Without desktop effects, and toolbox window set to utility, the toolbox remains above the image window and only the image window appears on the task bar.  With desktop effects on, the toolbox window behaves as a normal window and has it's own item on the task bar.  

Version-Release number of selected component (if applicable):
[unamanic@frodo ~]$ rpm -qa | grep compiz
compiz-0.7.6-11.fc10.i386
compiz-gnome-0.7.6-11.fc10.i386
compiz-fusion-0.7.6-6.fc10.i386
compiz-fusion-gnome-0.7.6-6.fc10.i386

How reproducible:
Start up GIMP with tool box set to utility and desktop effects on.

Steps to Reproduce:
1.Turn on Desktop Effects
2.Start up GIMP
3.Set the toolbox window management to utility. (Under Edit->Preferences Window Management)
4.Restart GIMP
  
Actual results:
Toolbox window gets its own taskbar item and when the image window is clicked on, toolbox goes under image window.

Expected results:
Toolbox does not get it's own task bar item and is always displayed on top of the image window.   


Additional info:
Comment 1 Adel Gadllah 2008-10-22 12:57:00 EDT
Should be fixed in compiz-0.7.6-15.fc10 
It should hit rawhide soon, you can also grab it from koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=895910
Comment 2 William Witt 2008-10-22 19:27:11 EDT
Thank you for the quick response.  

After applying from koji, the windows are now correctly displayed (always on to of image window).  The task bar still displays one item for each utility window if gimp is started with desktop effects is on vice only one if started with desktop effects off.

If you start gimp with desktop effects off and then turn them on, there will be only one task displayed.  However if you close, then open one of the utility windows (layers for instance), it will get its own task bar item.
Comment 3 Adel Gadllah 2008-10-24 06:29:04 EDT
I talked with upstream about this. This behavior is intentional. GIMP expects that utility windows will not show up in the taskbar, which is wrong. The only WM that does this is metacity. 

The correct fix for this would be to let GIMP set the skip_taskbar hint for this windows, so that it will work with any WM.

You can also configure compiz to behave like metacity, you will need an updated compiz-fusion package[1] for this.

1) enable the winrules plugin:

gconftool-2 -s /apps/compiz/general/allscreens/options/active_plugins --type=list --list-type=string `gconftool-2 -g /apps/compiz/general/allscreens/options/active_plugins | sed 's/\]//'`,winrules]

2) Enable skip_taskbar for utility windows:

gconftool-2 -s /apps/compiz/plugins/winrules/screen0/options/skiptaskbar_match --type string "type=Utility"

Than you should have the same behavior as with metacity.

1: You need compiz-fusion-0.7.6-7.fc10 (will be in rawhide soon, can be grabbed from koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=67408
Comment 4 William Witt 2008-10-24 17:36:11 EDT
Opened bug for GIMP at:
http://bugzilla.gnome.org/show_activity.cgi?id=557816
Comment 5 Bug Zapper 2008-11-25 22:47:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-17 07:01:08 EST
Switching incorrect assignees to the default one.
Comment 8 Bug Zapper 2009-11-18 04:17:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:33:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.